System.Web 2.0.0.0 System.Configuration.ConfigurationSection

The class provides a way to programmatically access and modify the customErrors section of a configuration file. This type is part of a group that includes the , , and types.

The can read and write information from and to the related section of the configuration file according to the section property whose value is .

Configures the ASP.NET custom errors. This class cannot be inherited.

- Constructor

  The constructor is not intended to be used directly from your code. It is called by the ASP.NET configuration system. You obtain an instance of the class by using the method.

  Initializes a new instance of the class using default settings.

  2.0.0.0
- Property
  System.Configuration.ConfigurationProperty("defaultRedirect")
  System.String To be added.

  If the is not specified, a standard error is displayed instead. The specifies the generic error page to activate in case no error custom page exists.

  The URL might be an absolute or a relative value. A relative URL is relative to the Web.config file that specified the , not to the Web page in which the error occurred. A relative URL starting with a tilde (~) is relative to the root path of the application.

  Gets or sets the default URL for redirection.

  2.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 2.0.0.0
- Property
  System.Configuration.ConfigurationProperty("", Options=System.Configuration.ConfigurationPropertyOptions.IsDefaultCollection)
  System.Web.Configuration.CustomErrorCollection To be added.

  Each error is associated with a custom error condition and specifies a custom error page.

  Gets the collection of the objects.

  2.0.0.0
- Property
  System.Configuration.ConfigurationProperty("mode", DefaultValue="RemoteOnly")
  System.Web.Configuration.CustomErrorsMode To be added.

  Specifies whether custom errors are enabled, disabled, or shown only to remote clients.

  Gets or sets the error display modality.

  2.0.0.0
- Property
  System.Configuration.ConfigurationPropertyCollection To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 2.0.0.0